------------------------------------------------------------------------------------
--Name:  	qingrenjie1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-01-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(84, 79)
CppScriptMgr:SetViewScale(300)
local Player_1 = CppScriptMgr:AddSimplePlayer(1055775, 84, 81, "Count", 0, 0)
Player_1:SetDir(5)
local Player_2 = CppScriptMgr:AddSimplePlayer(1051680, 85, 79, "Countess", 0, 0)
Player_2:SetDir(1)
local Player_3 = CppScriptMgr:AddSimplePlayer(21403, 87, 81, "", 0, 0)
Player_3:SetDir(3)
local Player_4 = CppScriptMgr:AddSimplePlayer(21870, 86, 82, "", 0, 0)
Player_4:SetDir(3)
local Player_5 = CppScriptMgr:AddSimplePlayer(31450, 84, 83, "", 0, 0)
Player_5:SetDir(4)
local Effect_1 = CppScriptMgr:AddEffect("NEW-flower-smallrain", 84, 81, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("Love you forever.", 1500)
Player_2:Say("Love you forever.", 1500)
CppScriptMgr:WaitMilSec(2500)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 81, 76, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_6 = CppScriptMgr:AddSimplePlayer(1063980, 81, 76, "LoveElf", 0, 0)
Player_6:SetDir(7)
CppScriptMgr:WaitMilSec(460)
CppScriptMgr:NpcCallOut("Such a perfect match! I`m touched by your vows.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZQWm", 150, 430, "LoveElf", 250, 655)
Player_6:Say("Such a perfect match! I`m touched by your vows.", 2000)
Player_6:SetAction(180)
CppScriptMgr:WaitMilSec(2000)
Player_6:Say("Please accept my blessings and take the music score.", 2000)
CppScriptMgr:NpcCallOut("Please accept my blessings and take the music score.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZQWm", 150, 430, "LoveElf", 250, 655)
Player_6:SetAction(101)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("You will get forever love if you can play the music according to the score.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcZQWm", 150, 430, "LoveElf", 250, 655)
Player_6:SetAction(200)
Player_6:Say("You will get forever love if you can play the music according to the score.", 2000)
CppScriptMgr:WaitMilSec(2000)
local Effect_3 = CppScriptMgr:AddEffect("dot_cha_lig", 84, 81, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(4500)